Qtouch install does not work in AS6.2 or 7.0 - help!?

Go To Last Post
2 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hello folks - I'm trying desperately to get the qtouch library working for my attiny84a project.

 

Whenever I go to create a qtouch project - bog standard, dont touch the generated files one lick -  it throws errors telling me 'touch_api.h" is missing.  This is with the latest AS7.0, and installing qtouch libraries and qtouch composer through the application's extension manager.

 

This was clearly going nowhere, so based on some forum posts, I've uninstalling AS7.0, and installing AS6.2.  But, the qtouch.vsix extensions for qtouch libary and composer from the 'microchip gallery' page all give me installation errors regarding non-matching guids.  Or, it tells me I dont have the right ASF version.  I've spent hours and hours at this point trying different combinations and nothing is working so far.

 

My latest attempt is this recommendation:  https://www.avrfreaks.net/forum/as7-and-qtouch-compatibility .  But when I uninstall ASF, reinstall the specified version (3.36.2) via .vsix file manually... i still end up with versions 3.39.0 through 3.47.0 somehow.... and yet,  QTouch composer claims to require ASF  v3.30.1 – v3.36.2.1031 .  So I cannot downgrade ASF (so far), and QTouch wont work with the latest ASF?  I think I am in purgatory at this point.

 

 

Has anyone gotten this install working recently?  Could someone just generate a project with 1 rotory slider so that i can open it and modify it?  I'm completely disheartened that i'm using the vendor's official tools, and the 'out-of-box' project will not compile.  I've literally designed entire circuit boards in less time than I've spent trying to get this insane IDE working!

 

 

Edit - worth noting that I'm on the latest windows 10

Last Edited: Fri. Nov 1, 2019 - 04:52 AM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

It looks like I got it compiling!  The trick for AS 7 appeared to be:

 

- uninstall ASF via extension manager

- restart windows

- uninstall all qtouch libraries via extension manager

- close atmel studio

- install ASF downgraded version via .vsix plugin from https://gallery.microchip.com/pa...

- install qtouch library 5.9 manually via .vsix plugin https://gallery.microchip.com/pa...

- install qtouch composer 5.9 manually via .vsix plugin https://gallery.microchip.com/pa...

 

It seemed like the restart was the key part, but I'm too punch-drunk from staring at this problem to know for sure.  Hope this helps someone!

Last Edited: Fri. Nov 1, 2019 - 05:27 AM